---
Name: "task-add-start-test"
Description: "Task Add Template Start Test"
Documentation: |
  This task acts a start marker for testing the `task-list-add.tmpl`.

  Add acts as an example for using the template.

  Tasks will be dynamically injected in to the task list after this task, if they
  have been specified by the appropriate control Params.

Meta:
  color: "purple"
  icon: "magic"
  title: "RackN Content"
  feature-flags: "sane-exit-codes"
Templates:
  - Name: "task_add_start"
    Contents: |
      {{ $errmsg := "" -}}
      {{ $newtasks := list -}}
      {{ $lp := .Param "task-library/task-add-test-list-name" -}}
      {{ if eq (.ParamExists $lp) false -}}
      {{   $errmsg = cat "!!! list-parameter is " $lp " and it does not exist." -}}
      {{ else -}}
      {{   $newtasks = .ParamComposeExpand $lp -}}
      {{ end -}}
      {{ $pmap := dict -}}
      {{ $_ := set $pmap "root" $ -}}
      {{ $_ := set $pmap "stop_marker" "task-add-stop-test" -}}
      {{ $_ := set $pmap "newtasks" $newtasks -}}
      {{ $_ := set $pmap "errmsg" $errmsg -}}
      {{ .CallTemplate "task-list-add.tmpl" $pmap }}